%global _empty_manifest_terminate_build 0
Name:           python-trio
Version:        0.26.0
Release:        1
Summary:        A friendly Python library for async concurrency and I/O
License:        Apache-2.0
URL:            https://github.com/python-trio/trio
Source0:        https://files.pythonhosted.org/packages/73/66/bc155385503674288a440384c1c262c755af4c218e56e61e4b90635b15af/trio-0.26.0.tar.gz
BuildArch:      noarch
%description
The Trio project's goal is to produce a production-quality, permissively licensed,
async/await-native I/O library for Python. Like all async libraries,
its main purpose is to help you write programs that do multiple things at the same time
with parallelized I/O. A web spider that wants to fetch lots of pages in parallel,
a web server that needs to juggle lots of downloads and websocket connections
at the same time, a process supervisor monitoring multiple subprocesses...
that sort of thing. Compared to other libraries, Trio attempts to distinguish
itself with an obsessive focus on usability and correctness.
Concurrency is complicated; we try to make it easy to get things right.

%package -n python3-trio
Summary:        A friendly Python library for async concurrency and I/O
Provides:       python-trio
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
# General requires
BuildRequires:  python3-attrs
BuildRequires:  python3-sortedcontainers
BuildRequires:  python3-idna
BuildRequires:  python3-cffi

%description -n python3-trio
The Trio project's goal is to produce a production-quality, permissively licensed,
async/await-native I/O library for Python.

%package help
Summary:        A friendly Python library for async concurrency and I/O
Provides:       python3-trio-doc
%description help
The Trio project's goal is to produce a production-quality, permissively licensed,
async/await-native I/O library for Python. Like all async libraries,
its main purpose is to help you write programs that do multiple things at the same time
with parallelized I/O. A web spider that wants to fetch lots of pages in parallel,
a web server that needs to juggle lots of downloads and websocket connections
at the same time, a process supervisor monitoring multiple subprocesses...
that sort of thing. Compared to other libraries, Trio attempts to distinguish
itself with an obsessive focus on usability and correctness.
Concurrency is complicated; we try to make it easy to get things right.

%prep
%autosetup -n trio-%{version}

%build
%pyproject_build

%install
%pyproject_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-trio
%license LICENSE LICENSE.APACHE2 LICENSE.MIT
%doc README.rst
%{python3_sitelib}/trio*

%files help 
%{_docdir}/*

%changelog
* Tue Jul 23 2024 warlcok <hunan@kylinos.cn> - 0.26.0-1
- Upgrade package to 0.26.0
- Added an interactive interpreter
  Fixed a bug with incorrectly failed matches

* Thu Jun 20 2024 liuzhilin <liuzhilin@kylinos.cn> - 0.25.1-1
- Upgrade package 0.25.1
- Fix crash when importing trio in embedded Python on Windows, and other installs that remove docstrings.

* Tue Aug 22 2023 luolu12 <luluoc@isoftstone.com> - 0.22.2-1
- Upgrade package python3-trio of version 0.22.2

* Fri Jun 30 2023 luolu12 <luluoc@isoftstone.com> - 0.22.0-1
- Upgrade package python3-trio of version 0.22.0

* Thu Jul 21 2022 renliang16 <renliang@uniontech.com> - 0.14.0-1
- Init package python3-trio of version 0.14.0

